Add pass tests
authorMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Tue, 9 Apr 2013 01:58:09 +0000 (21:58 -0400)
committerMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Tue, 9 Apr 2013 01:58:09 +0000 (21:58 -0400)
Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
tests/pass/list [new file with mode: 0644]
tests/pass/run.sh [new file with mode: 0755]
tests/pass/test.sh [new file with mode: 0755]

diff --git a/tests/pass/list b/tests/pass/list
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/tests/pass/run.sh b/tests/pass/run.sh
new file mode 100755 (executable)
index 0000000..d43ea19
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+prove --exec '' --merge - < list
diff --git a/tests/pass/test.sh b/tests/pass/test.sh
new file mode 100755 (executable)
index 0000000..2c31f56
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright (C) - 2013 Christian Babeux <christian.babeux@efficios.com>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License, version 2 only, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 51
+# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+CURDIR=$(dirname $0)
+UTILS_DIR=$CURDIR/../../utils/
+
+source $UTILS_DIR/tap/tap.sh
+
+NUM_TESTS=1
+
+plan_tests $NUM_TESTS
+
+$CTF_READER_BIN $CTF_READER_OPTS $1 >/dev/null 2>&1
+
+result=$?
+
+is $result 0 $1
This page took 0.023521 seconds and 4 git commands to generate.